version: "3"
services:
  restful-api-refresher:
    image: ${DOCKER_REGISTRY}/${PROJECT_NAME}/${NAMESPACE}:${DOCKER_TAG_VERSION}
    container_name: "${PROJECT_NAME}-${NAMESPACE}"
    ports: 
      - 8000:8000
    restart: unless-stopped
    environment:
      CONFIG_FOLDER_PATH: ${DOCKER_CONFIG_FOLDER_PATH}
      LOG_FOLDER_PATH: ${DOCKER_LOG_FOLDER_PATH}
      PROJECT_NAME: ${PROJECT_NAME}
    volumes:
      - "${DOCKER_APP_SOURCE_FROM_COMPOSE}:${DOCKER_APP_DEST}"
      - "${DOCKER_CTX_FROM_COMPOSE}/${DOCKER_USER_CONFIG_PATH_FROM_CTX}:${DOCKER_CONFIG_FOLDER_PATH}"
      - "${DOCKER_CTX_FROM_COMPOSE}/${DOCKER_USER_LOCAL_LOG_PATH_FROM_CTX}:${DOCKER_LOG_FOLDER_PATH}"
